const arg = process.argv;
const fs = require('fs');
const init = require('./init');
const config = require('../package.json');
const logs = require('./plug-in/colorLog');
const { path } = require('./plug-in/fk2Path');
if (arg.length < 3) {
    // fk2主界面
    console.log(config.version);
}
if (arg.length > 2) {
    fk2Conmm();
}
async function fk2Conmm() {
    if (!fs.existsSync(path())) {
        logs.close();
        logs.blue('Fk2 began to initialize...');
        await init();
        logs.g('Initialization is complete...');
        logs.close();
    }
    const comm = arg[2].toLowerCase(); // 字母转小写
    if (comm == 'init') {
        await init();
    } else if(comm == 'menu'){
        require('./menu/menu');
    } else if (comm == 'dev') {
        // 创建js ts 等文件包
        require('./dev/dev');
    } else if (comm == 'work') {
        // 开发服务器
        require('./work/work');
    } else if(comm == 'startup'){
        require('./startup/startup');
    } else  if (comm == '-v' || comm == 'version') {
        console.log(config.version);
    } else if (comm == 'run' || comm == 'start') {
        // 开启fk2集群
        require('./run/cluster');
    } else if (comm == 'kill' || comm == '-k') {
        if (!arg[3]) {
            console.log('Command not found!')
        } else {
            require('./exit/exit');
        }
    } else if (comm == 'list' || comm == 'ls') {
        require('./list/list');
    } else if (comm == 'set') {
        require('./set/set');
    } else {
        console.log('Command not found!')
    }
}